import { type RuntimeServerAction, SubmitValue } from '@oinone/kunlun-engine';
import { type WidgetSubjection } from '@oinone/kunlun-vue-widget';
import { ServerActionWidget } from '../ServerActionWidget';
import type { ClickResult } from '../../../typing';
export declare class AiTandemActionWidget extends ServerActionWidget {
    protected reloadFormData$: WidgetSubjection<boolean>;
    protected get updateData(): boolean;
    protected get refreshData(): boolean;
    protected executeAction(action: RuntimeServerAction, submitValue: SubmitValue): Promise<ClickResult>;
}
